XUnmapWindow(3)

NAME
XUnmapWindow, XUnmapSubwindows - unmap windows

SYNTAX

int XUnmapWindow(Display *display, Window w);

int XUnmapSubwindows(Display *display, Window w);

ARGUMENTS

display
    Specifies the connection to the X server.

w   Specifies the window.

DESCRIPTION
The function unmaps the specified window and causes the X server to generate an event. If the specified window is already unmapped, has no effect. Normal exposure processing on formerly obscured windows is performed. Any child window will no longer be visible until another map call is made on the parent. In other words, the subwindows are still mapped but are not visible until the parent is mapped. Unmapping a window will generate events on windows that were formerly obscured by it.

can generate a error.

The function unmaps all subwindows for the specified window in bottom-to-top stacking order. It causes the X server to generate an event on each subwindow and events on formerly obscured windows. Using this function is much more efficient than unmapping multiple windows one at a time because the server needs to perform much of the work only once, for all of the windows, rather than for each window.

can generate a error.

DIAGNOSTICS

A value for a Window argument does not name a defined Window.

SEE ALSO
XChangeWindowAttributes(3), XConfigureWindow(3), XCreateWindow(3), XDestroyWindow(3), XMapWindow(3) XRaiseWindow(3)
Xlib - C Language X Interface